Wadjet Eye Games

Author Topic: Segmentation faults with all Wadjet Eye games on arch linux.  (Read 2298 times)

Offline coversall

  • Newbie
  • *
  • Posts: 2
    • View Profile
Segmentation faults with all Wadjet Eye games on arch linux.
« on: November 01, 2015, 05:10:28 PM »
Hey all,

I have bought Blackwell Legacy and Gemini Rue from steam and Primordia from GOG. All these games open perfectly well and I get to the start menu with no issues. However, as soon as I press 'New Game' all three crash with a segmentation fault.

Has anyone else had this issue?

I'm running Arch Linux 64 bit and have all(?) the 32 bit libs. All three games are linux ports.

EDIT: Wrong board! Sorry all. Can the mods move this post to the right spot?
« Last Edit: November 01, 2015, 05:12:11 PM by coversall »

Offline DaveGilbert

  • Administrator
  • Hero Member
  • *****
  • Posts: 2215
    • View Profile
Re: Segmentation faults with all Wadjet Eye games on arch linux.
« Reply #1 on: November 03, 2015, 08:40:35 AM »
Hi Coversall. Hmm. I am unsure which Linux version is currently available on GOG. Tell you what.  If you could email me (dave@wadjeteyegames dot com) your proof of purchase from GOG (either your order receipt or a screencap of the games in your library) then I will give you an access code to nab the games from my website. You can then try those versions and see if they work. If they do, that means the GOG versions are outdated!

-Dave

Offline madgodofmagic

  • Newbie
  • *
  • Posts: 3
    • View Profile
Re: Segmentation faults with all Wadjet Eye games on arch linux.
« Reply #2 on: December 09, 2015, 05:47:42 AM »
I'm using Arch and the Steam versions of the three Blackwell games available on the platform and they run fine, must be the GOG bundle. (I haven't actually looked at the structure of the directory under Steam but will do tonight, you might be able to just use system libs with LD_PRELOAD or some similar hack)

Offline madgodofmagic

  • Newbie
  • *
  • Posts: 3
    • View Profile
Re: Segmentation faults with all Wadjet Eye games on arch linux.
« Reply #3 on: December 09, 2015, 04:34:15 PM »
Well, I've tried Convergence after moving/renaming ./lib and ./lib64, and using system libraries seems to work, you most likely need libogg, sdl2, libtheora and libvorbis (all packages available via pacman). I'm not 100% sure this will help but wouldn't hurt to try.